	// 系统报表总个数,初始为6,"攻击分布(丢包数)"和"攻击趋势"只能选择清洗设备
	var systemCheckAllNum = 6;	
 	var systemCheckNum = 0; 
 	
 	// 提"攻击分布(丢包数)"和"攻击趋势"可否显示
 	var dropDisplayInSys = false;
 	
 	// 记录初始进入页面时的时间
 	var initStartTime;
 	var initEndTime;
 	
 	// 根据设备ID和类型确定那些报表显示
 	function setSysDisplayByValue() {
 		// 得到设备ID值
 		var deviceId = LegoTag.getCombValue('systemDeviceName');	
 		var devId = "";
 		var devType = "";
 		var devModel = "";
 		if(deviceId == -1) {
 			devId = deviceId.split("_")[0];
 		}else if(deviceId == -2){
 			devId = deviceId.split("_")[0];
 		}else if(deviceId == 0){
 			devId = deviceId.split("_")[0];
 		}
 		else {
 			devId = deviceId.split("_")[0];
 			devType = deviceId.split("_")[1];
 			devModel = deviceId.split("_")[2];
 		}		
		setDisplayStatusForSys(devId, devType, devModel);		
 	}
 	
 	function setDisplayStatusForSys(devId, devType, devModel) {	
 		// 1、全部检测
 		if(devId == -2 || (devId > 0 && devType == 1))
 		{
 			if(dropDisplayInSys) 
 			{ 				
 				// 若选中状态，则取消选中
	 			if(Ext.getDom('systemAttackDisPacket').checked) {	
	 				systemCheckNum--;				
	 				Ext.getDom('systemAttackDisPacket').checked = false;
	 			}
	 			if(Ext.getDom('systemAttackTrend').checked) {
	 				systemCheckNum--;
	 				Ext.getDom('systemAttackTrend').checked = false;
	 			}
 			}
			dropDisplayInSys = false;
 			document.getElementById("systemAttackDisPacketDisplay").style.display="none";
 			document.getElementById("systemAttackTrendDisplay").style.display="none";	
 			// 3)、此时系统报表个数,systemCheckAllNum = 6
 			systemCheckAllNum = 6;
 		}
 		else
 		{
 			// 2)、攻击分布（丢包数）、攻击趋势显示
 			dropDisplayInSys = true;
 			document.getElementById("systemAttackDisPacketDisplay").style.display="block";
 			document.getElementById("systemAttackTrendDisplay").style.display="block";			
 			
 			// 3)、此时系统报表个数,systemCheckAllNum = 8
 			systemCheckAllNum = 8;	
 		}
 		// 4、确定全选状态
 		if(systemCheckNum == systemCheckAllNum){
	        Ext.getDom('systemAll').checked = true;
	    }else {
	    	Ext.getDom('systemAll').checked = false;
	    }
 	}
 	
	// 加载页面时将各numberField属性设为不可用
    function load() {
    	// 根据设备ID和类型判断哪些显示
    	setSysDisplayByValue();
    	// 初始设置"全选"不选中
    	Ext.getDom('systemAll').checked = false;  
    	//设置开始时间、结束时间，使用客户端的时间
    	Ext.getDom("startTime").value = toStringByPattern(new Date(),"yyyy-MM-dd")+" 00:00:00";
    	Ext.getDom("endTime").value = toStringByPattern(new Date(),"yyyy-MM-dd")+" 23:59:59";
    	document.getElementById("scheduleTime").value = toStringByPattern(new Date(),"yyyy-MM-dd");
    	// 获得初始进入页面时的开始时间和结束时间 
    	initStartTime = Ext.getDom("startTime").value;
    	initEndTime = Ext.getDom("endTime").value;	
    	// 初始化
    	checkSystemAll(); 		
    }
    // 全部选中
	function checkSystemAll() {
		// 全选选中
		if(Ext.getDom('systemAll').checked) {
			// 全选时，将systemCheckNum值设为系统报表总个数
			systemCheckNum = systemCheckAllNum;
		    // checkBox全部选中		    
		    Ext.getDom('systemFlowCompare').checked = true;
		    Ext.getDom('systemAttackTypeDistribute').checked = true;		    
		    	        		       
		    Ext.getDom('systemAttackTrendCount').checked = true;	   
		    Ext.getDom('systemAttackIpCount').checked = true;
		    
		    Ext.getDom('systemAttackEventTopN').checked = true;
		    Ext.getDom('systemAttackEventTopNNum').disabled = false;
		   	
		   	Ext.getDom('systemZoneAttackCountTopN').checked = true;
		    Ext.getDom('systemZoneAttackCountTopNNum').disabled = false;          
		    
		    // 清洗设备才显示 "连接数"、"攻击事件TopＮ"、"攻击趋势"、丢弃详情
		    if(dropDisplayInSys) {
		    	Ext.getDom('systemAttackDisPacket').checked = true;	
		    	Ext.getDom('systemAttackTrend').checked = true;
		    }
		    
		} else {
			// 取消全选时，将systemCheckNum值设为0
			systemCheckNum = 0;
		    // checkBox取消全部选中		    
		    Ext.getDom('systemFlowCompare').checked = false;
		    Ext.getDom('systemAttackTypeDistribute').checked = false;
		       
		    Ext.getDom('systemAttackDisPacket').checked = false;		        		       
		    Ext.getDom('systemAttackTrend').checked = false;
		    
		    Ext.getDom('systemAttackTrendCount').checked = false;	   
		    Ext.getDom('systemAttackIpCount').checked = false;
		    	  
		    // "异常/攻击日志"、"单板流量"
	    	Ext.getDom('systemZoneAttackCountTopN').checked = false;
	    	Ext.getDom('systemZoneAttackCountTopNNum').disabled = true;	
	    		   
	    	// "连接数"、"攻击事件TopＮ"、"攻击趋势"\丢弃详情
	    	Ext.getDom('systemAttackEventTopN').checked = false;
	    	Ext.getDom('systemAttackEventTopNNum').disabled = true;
		}
	}
	// 根据checkBox选中判断numberfield是否可用
	function systemFlowCompareClick(obj) {		
		if(obj.checked) {
		    if(++systemCheckNum == systemCheckAllNum){
		        Ext.getDom('systemAll').checked = true;
		    }
		} else {
		    if(--systemCheckNum < systemCheckAllNum){
		        Ext.getDom('systemAll').checked = false;
		    }
		}
	}
	
	function systemAttackTypeDistributeClick(obj) {
		if(obj.checked) {	             
			if(++systemCheckNum == systemCheckAllNum) {
		        Ext.getDom('systemAll').checked = true;
		    }
		} else {
		   	if(--systemCheckNum < systemCheckAllNum){
		        Ext.getDom('systemAll').checked = false;
		    }
		}
	}
	function systemZoneAttackCountTopNClick(obj) {
		if(obj.checked) {
			Ext.getDom('systemZoneAttackCountTopNNum').disabled = false;		        
		    if(++systemCheckNum == systemCheckAllNum){
		        Ext.getDom('systemAll').checked = true;
		    }
		} else {
		    Ext.getDom('systemZoneAttackCountTopNNum').disabled = true;
		    if(--systemCheckNum < systemCheckAllNum){
		        Ext.getDom('systemAll').checked = false;
		    }
		}
	}
	function systemAttackDisPacketClick(obj) {
		if(obj.checked) {
		    if(++systemCheckNum == systemCheckAllNum){
		        Ext.getDom('systemAll').checked = true;
		    }
		} else {
		    if(--systemCheckNum < systemCheckAllNum){
		        Ext.getDom('systemAll').checked = false;
		    }
		}
	}
	function systemAttackTrendClick(obj) {
		if(obj.checked) {
		    if(++systemCheckNum == systemCheckAllNum){
		        Ext.getDom('systemAll').checked = true;
		    }
		} else {
		    if(--systemCheckNum < systemCheckAllNum){
		        Ext.getDom('systemAll').checked = false;
		    }
		}
	}
	function systemAttackTrendCountClick(obj) {
		if(obj.checked) {
		    if(++systemCheckNum == systemCheckAllNum){
		        Ext.getDom('systemAll').checked = true;
		    }
		} else {
		    if(--systemCheckNum < systemCheckAllNum){
		        Ext.getDom('systemAll').checked = false;
		    }
		}
	}
	function systemAttackIpCountClick(obj) {
		if(obj.checked) {
		    if(++systemCheckNum == systemCheckAllNum){
		        Ext.getDom('systemAll').checked = true;
		    }
		} else {
		    if(--systemCheckNum < systemCheckAllNum){
		        Ext.getDom('systemAll').checked = false;
		    }
		}
	}
	function systemAttackEventTopNClick(obj) {
		if(obj.checked) {
		    Ext.getDom('systemAttackEventTopNNum').disabled = false;		        
		    if(++systemCheckNum == systemCheckAllNum){
		        Ext.getDom('systemAll').checked = true;
		    }
	 	} else {
		    Ext.getDom('systemAttackEventTopNNum').disabled = true;
		    if(--systemCheckNum < systemCheckAllNum){
		        Ext.getDom('systemAll').checked = false;
		    }
		}
	}
	function systemAttackTrendClick(obj) {
		if(obj.checked) {	    	        
		    if(++systemCheckNum == systemCheckAllNum){
		        Ext.getDom('systemAll').checked = true;
		    }
	 	} else {
		    if(--systemCheckNum < systemCheckAllNum){
		        Ext.getDom('systemAll').checked = false;
		    }
		}
	}
	// 获取checkBox选中的报表
	function checkSystemReportIds(isTask) {
		var checkFlag = 0;
		// 选中的checkBox对应的top值和报表id
		if(Ext.getDom('systemFlowCompare').checked) {
		    systemTopNValues += '0,';
		    systemReportIds += 'FluxCompareBPS,';
		    checkFlag = 1;
		}  
		if(Ext.getDom('systemAttackTypeDistribute').checked) {
		    systemTopNValues += '0,';
		    systemReportIds += 'AttackDisCount,';
		    checkFlag = 1;
		} 	
		// 清洗设备才显示 "连接数"、"攻击事件TopＮ"、"攻击趋势"、丢弃详情
	    if(dropDisplayInSys) 
	    {
		    if(Ext.getDom('systemAttackDisPacket').checked) 
		    {
		    	systemTopNValues += '0,';
		    	systemReportIds += 'AttackDisPacket,';
		    	checkFlag = 1;
			}
			if(Ext.getDom('systemAttackTrend').checked) 
		    {
		    	systemTopNValues += '0,';
		    	systemReportIds += 'AttackTrend,';
		    	checkFlag = 1;
			}
		}	
		if(Ext.getDom('systemAttackTrendCount').checked) {
		    systemTopNValues += '0,';
		    systemReportIds += 'AttackCount,';
		    checkFlag = 1;
		}  	  			      
		if(Ext.getDom('systemAttackIpCount').checked) {
		    systemTopNValues += '0,';
		    systemReportIds += 'AttackIpCount,';
		    checkFlag = 1;
		}
		if(!isTask)
		{
			var isSchedule = LegoTag.getRdiCheckedValue("isSchedule").value;
			if(isSchedule == 1)
			{
				systemTopNValues += '0,';
			    systemReportIds += 'AttackCountCompare,';
			}
		}
		else
		{
			systemTopNValues += '0,';
			systemReportIds += 'AttackCountCompare,';
		}
		
		if(Ext.getDom('systemAttackEventTopN').checked) 
		{
			    var topNValue = Ext.getDom('systemAttackEventTopNNum').value;
			    if(topNValue < 1) {
			        LegoTag.MessageBox.alert(TIPS_WINDOW_TITLE,REPORT_TOPN_RANGE);
			        return false;
			    }
			    else if(topNValue > 50)
			    {
			        LegoTag.MessageBox.alert(TIPS_WINDOW_TITLE,REPORT_TOPN_RANGE);
			        return false;
			   	}       
			    systemTopNValues += topNValue + ',';
			    systemReportIds += 'AttackEventTopN,';
			    checkFlag = 1;
		}  
		if(Ext.getDom('systemZoneAttackCountTopN').checked) 
		{     
		    var topNValue = Ext.getDom('systemZoneAttackCountTopNNum').value;
		    if(topNValue < 1) {
		        LegoTag.MessageBox.alert(TIPS_WINDOW_TITLE,REPORT_TOPN_RANGE);
		        return false;
		    }
		    else if(topNValue > 50)
		    {
		        LegoTag.MessageBox.alert(TIPS_WINDOW_TITLE,REPORT_TOPN_RANGE);
		        return false;
		   	}       
		    systemTopNValues += topNValue + ',';
		    systemReportIds += 'ZoneAttackCountTopN,';
		    checkFlag = 1;
		}  
		// 判断是否有报表选中
		if(checkFlag == 0) {
			if(!isTask)
			{
				LegoTag.MessageBox.alert(TIPS_WINDOW_TITLE,NO_REPORT_SELECTED);
			}
		    return false;
		}
		return true;
	}
	// 时间验证
	function validateTime() {	
		var startTime = document.getElementById("startTime").value;
		var endTime = document.getElementById("endTime").value;
		if(startTime == "" && endTime == "") {
			LegoTag.MessageBox.alert(TIPS_WINDOW_TITLE,NO_TIME_SELECTED);
			return false;
		}
		if(startTime >= endTime) {
			LegoTag.MessageBox.alert(TIPS_WINDOW_TITLE,STARTTIME_LESS_ENDTIME);
			return false;
		}
		return true;
	}
	// 重置
	function initSystemReport() {
		
		var useReportType = document.getElementById("useReportType").value;
		// 设备重置
		LegoTag.setCombValue('systemDeviceName', '-1', '-1');
		if(useReportType == 'ips') {
			LegoTag.setCombDisplay('systemDeviceName', ALL_DEVICE, ALL_DEVICE);
		} else {
			LegoTag.setCombDisplay('systemDeviceName', ALL_DEVICE, ALL_DEVICE_CLEAN);
		}	
			
		// 时间重置,为初始进入页面的显示时间
		Ext.getDom('startTime').value = initStartTime;
		Ext.getDom('endTime').value = initEndTime;
		
		// 报表格式重置,默认选中PDF
		LegoTag.setRdiChkOfId("formTypeInteger",0,true);
		
		//默认不显示周期对比图
		LegoTag.setRdiChkOfId("isSchedule",0,true);
		setScheduleType();
			
		// 报表类型重置   
		Ext.getDom('systemFlowCompare').checked = false;
		Ext.getDom('systemAttackTypeDistribute').checked = false;	
		Ext.getDom('systemAttackDisPacket').checked = false;		        		       
		Ext.getDom('systemAttackTrend').checked = false;
		Ext.getDom('systemAttackTrendCount').checked = false;	   
		Ext.getDom('systemAttackIpCount').checked = false;
		
		Ext.getDom('systemAttackEventTopNNum').value = 10;
		Ext.getDom('systemAttackEventTopNNum').disabled = true;
		Ext.getDom('systemAttackEventTopN').checked = false;
		   	
		Ext.getDom('systemZoneAttackCountTopNNum').value = 10;
		Ext.getDom('systemZoneAttackCountTopNNum').disabled = true;  
		Ext.getDom('systemZoneAttackCountTopN').checked = false;
		// 若"攻击分布(丢包数)"、"攻击趋势"\丢弃趋势显示
		if(dropDisplayInSys) {
			Ext.getDom('systemAttackDisPacket').checked = false;
			Ext.getDom('systemAttackTrend').checked = false;
		}
			
		// 设置报表默认个数
		systemCheckAllNum = 6;	
 		systemCheckNum = 0;	
		
		// 重置时，设备的ID值可能改变
		setSysDisplayByValue();	
		
		// 全选重置
		Ext.getDom('systemAll').checked = false;
	}