	// 系统报表总个数,初始为7,"异常/攻击日志"和"单板流量"只能选单个设备,
	// "连接数"、"攻击Top N"和"攻击趋势"只能选择清洗设备
	var systemCheckAllNum = 2;	
 	var systemCheckNum = 0; 
 	
 	// 提示"异常/攻击日志"可否显示
 	var isDisplayInSys = false; 
 	// 提示"攻击事件Top N"、"攻击趋势"可否显示
 	var orDisplayInSys = false;
 	
 	// 记录初始进入页面时的时间
 	var initStartTime;
 	var initEndTime;
 	
 	// 根据设备ID和类型确定那些报表显示
 	function setSysDisplayByValueIps() {
 		// 得到设备ID值
 		var deviceId = LegoTag.getCombValue('systemDeviceName');	
 		var devId = "";
 		var devType = "";
 		var devModel = "";
 		if(deviceId == -1) {
 			devId = deviceId.split("_")[0];
 		}else if(deviceId == -2){
 			devId = deviceId.split("_")[0];
 		}else {
 			devId = deviceId.split("_")[0];
 			devType = deviceId.split("_")[1];
 			devModel = deviceId.split("_")[2];
 		}		
		setDisplayStatusForSys(devId, devType, devModel);		
 	}
 	
 	function setDisplayStatusForSys(devId, devType, devModel) {	
 		// 1、全部清洗
 		if(devId == -1) 
 		{
 			// 1)、异常/攻击日志不显示
 			if(isDisplayInSys) { 				
 				// 显示时，该项选中，变为全部设备时，取消选中
	 			if(Ext.getDom('systemAttackExactLog').checked) {	
	 				systemCheckNum--;				
	 				Ext.getDom('systemAttackExactLog').checked = false;
	 				Ext.getDom('systemAttackExactLogNum').value = 10;
		    		Ext.getDom('systemAttackExactLogNum').disabled = true;    		
	 			}
	 		}
 			isDisplayInSys = false;
 			document.getElementById("sysAkLogDisplay").style.display="none";
 			document.getElementById("sysAkLogNumDisplay").style.display="none";
 			
 			// 2)、连接数、攻击事件Top N和攻击趋势显示
 			orDisplayInSys = true;
 			document.getElementById("sysAkTopnDisplay").style.display="block";
 			document.getElementById("sysAkTopnNumDisplay").style.display="block";
 			document.getElementById("sysAkTrendDisplay").style.display="block";			
 			
 			// 3)、此时系统报表个数,systemCheckAllNum = 5
 			systemCheckAllNum = 5;	
 		}
 		// 2、单个设备	
 		else if(devId > 0) 
 		{
 			// 1)、异常/攻击日志、单板流量显示
			isDisplayInSys = true;
 			document.getElementById("sysAkLogDisplay").style.display="block";
 			document.getElementById("sysAkLogNumDisplay").style.display="block";			
 			
 			if(devType == 0) 
 			{	
				// 2)、单个清洗设备,连接数、攻击事件Top N和攻击趋势显示			
	 			orDisplayInSys = true;
	 			document.getElementById("sysAkTopnDisplay").style.display="block";
	 			document.getElementById("sysAkTopnNumDisplay").style.display="block";
	 			document.getElementById("sysAkTrendDisplay").style.display="block";	
 				document.getElementById("sysAkLogDisplay").style.display="block";	
 				systemCheckAllNum = 6;
 			}
 			else 
 			{
 				// 3)、单个检测设备,连接数、攻击事件Top N和攻击趋势不显示
 				if(orDisplayInSys) 
 				{
 					// 若选中状态，则取消选中
		 			if(Ext.getDom('systemAttackTopnAnalysis').checked) 
		 			{	
		 				systemCheckNum--;				
		 				Ext.getDom('systemAttackTopnAnalysis').checked = false;
		 				Ext.getDom('systemAttackTopnAnalysisNum').value = 10;
			    		Ext.getDom('systemAttackTopnAnalysisNum').disabled = true;    		
		 			}
		 			if(Ext.getDom('systemAttackTrend').checked) 
		 			{
		 				systemCheckNum--;
		 				Ext.getDom('systemAttackTrend').checked = false;
		 			}
 				}					
 				systemCheckAllNum = 4;
 				orDisplayInSys = false;
	 			document.getElementById("sysAkTopnDisplay").style.display="none";
	 			document.getElementById("sysAkTopnNumDisplay").style.display="none";
	 			document.getElementById("sysAkTrendDisplay").style.display="none";
	 		}		
 		}
 		// 3、全部检测
 		else 
 		{
 			// 1)、全部检测，异常/攻击日志、单板流量不显示
 			if(isDisplayInSys) 
 			{ 				
 				// 若该项选中，则取消选中
	 			if(Ext.getDom('systemAttackExactLog').checked) 
	 			{	
	 				systemCheckNum--;				
	 				Ext.getDom('systemAttackExactLog').checked = false;
	 				Ext.getDom('systemAttackExactLogNum').value = 10;
		    		Ext.getDom('systemAttackExactLogNum').disabled = true;    		
	 			}
	 		}
 			isDisplayInSys = false;
 			document.getElementById("sysAkLogDisplay").style.display="none";
 			document.getElementById("sysAkLogNumDisplay").style.display="none";
 			
 			// 2)、全部检测,攻击事件Top N、攻击趋势不显示
 			if(orDisplayInSys) 
 			{ 				
 				// 若选中状态，则取消选中
	 			if(Ext.getDom('systemAttackTopnAnalysis').checked) 
	 			{	
	 				systemCheckNum--;				
	 				Ext.getDom('systemAttackTopnAnalysis').checked = false;
	 				Ext.getDom('systemAttackTopnAnalysisNum').value = 10;
		    		Ext.getDom('systemAttackTopnAnalysisNum').disabled = true;    		
	 			}
	 			if(Ext.getDom('systemAttackTrend').checked) {
	 				systemCheckNum--;
	 				Ext.getDom('systemAttackTrend').checked = false;
	 			}
 			}
			orDisplayInSys = false;
 			document.getElementById("sysAkTopnDisplay").style.display="none";
 			document.getElementById("sysAkTopnNumDisplay").style.display="none";
 			document.getElementById("sysAkTrendDisplay").style.display="none";
 			
 			// 3)、此时系统报表个数,systemCheckAllNum = 3
 			systemCheckAllNum = 4;
 		}
 		// 4、确定全选状态
 		if(systemCheckNum == systemCheckAllNum){
	        Ext.getDom('systemAll').checked = true;
	    }else 
	    {
	    	Ext.getDom('systemAll').checked = false;
	    }
 	}
 	
	// 加载页面时将各numberField属性设为不可用
    function load() {
    	// 根据设备ID和类型判断哪些显示
    	setSysDisplayByValueIps();
    	// 初始设置"全选"不选中
    	Ext.getDom('systemAll').checked = false;  
    	//设置开始时间、结束时间，使用客户端的时间
    	Ext.getDom("startTime").value = toStringByPattern(new Date(),"yyyy-MM-dd")+" 00:00:00";
    	Ext.getDom("endTime").value = toStringByPattern(new Date(),"yyyy-MM-dd")+" 23:59:59";
    		 
    	// 获得初始进入页面时的开始时间和结束时间 
    	initStartTime = Ext.getDom("startTime").value;
    	initEndTime = Ext.getDom("endTime").value;	
    	// 初始化
    	checkSystemAllIps(); 		
    }
    // 全部选中
	function checkSystemAllIps() {
		// 全选选中
		if(Ext.getDom('systemAll').checked) {
			// 全选时，将systemCheckNum值设为系统报表总个数
			systemCheckNum = systemCheckAllNum;
		    // checkBox全部选中		    
		    Ext.getDom('systemAttackTypeDistribute').checked = true;		    
		    Ext.getDom('systemZoneAttackTopN').checked = true;
		    Ext.getDom('systemIpAttackTopN').checked = true;
		    		            
		    // numberField可用
		    Ext.getDom('systemZoneAttackTopNum').disabled = false;
		    Ext.getDom('systemIpAttackTopNum').disabled = false;		    	
		    
		    // "异常/攻击日志"
		    if(isDisplayInSys) {	    	
		    	Ext.getDom('systemAttackExactLog').checked = true;
		    	Ext.getDom('systemAttackExactLogNum').disabled = false;
		    }   
		    		               
		    // "连接数"、"攻击事件TopＮ"、"攻击趋势"
		    if(orDisplayInSys) {
		    	Ext.getDom('systemAttackTopnAnalysis').checked = true;
		    	Ext.getDom('systemAttackTopnAnalysisNum').disabled = false;
		    	Ext.getDom('systemAttackTrend').checked = true;
		    }
		    
		} else {
			// 取消全选时，将systemCheckNum值设为0
			systemCheckNum = 0;
		    // checkBox取消全部选中		    
		    Ext.getDom('systemAttackTypeDistribute').checked = false;		    
		    Ext.getDom('systemZoneAttackTopN').checked = false;
		    Ext.getDom('systemIpAttackTopN').checked = false;
		    	  
		    // numberField不可用
		    Ext.getDom('systemZoneAttackTopNum').disabled = true;
		    Ext.getDom('systemIpAttackTopNum').disabled = true;
		    
		    // "异常/攻击日志"、"单板流量"
	    	Ext.getDom('systemAttackExactLog').checked = false;
	    	Ext.getDom('systemAttackExactLogNum').disabled = true;	
	    		   
	    	// "连接数"、"攻击事件TopＮ"、"攻击趋势"
	    	Ext.getDom('systemAttackTopnAnalysis').checked = false;
	    	Ext.getDom('systemAttackTopnAnalysisNum').disabled = true;
	    	Ext.getDom('systemAttackTrend').checked = false;
		}
	}
	function systemAttackTypeDistributeClick(obj) {
		if(obj.checked) {	             
			if(++systemCheckNum == systemCheckAllNum) {
		        Ext.getDom('systemAll').checked = true;
		    }
		} else {
		   	if(--systemCheckNum < systemCheckAllNum){
		        Ext.getDom('systemAll').checked = false;
		    }
		}
	}
	function systemAttackExactLogClick(obj) {
		if(obj.checked) {
			Ext.getDom('systemAttackExactLogNum').disabled = false;		        
		    if(++systemCheckNum == systemCheckAllNum){
		        Ext.getDom('systemAll').checked = true;
		    }
		} else {
		    Ext.getDom('systemAttackExactLogNum').disabled = true;
		    if(--systemCheckNum < systemCheckAllNum){
		        Ext.getDom('systemAll').checked = false;
		    }
		}
	}
	function systemZoneAttackTopNClick(obj) {
		if(obj.checked) {
		    Ext.getDom('systemZoneAttackTopNum').disabled = false;		        
		    if(++systemCheckNum == systemCheckAllNum){
		        Ext.getDom('systemAll').checked = true;
		    }
		} else {
		    Ext.getDom('systemZoneAttackTopNum').disabled = true;
		    if(--systemCheckNum < systemCheckAllNum){
		        Ext.getDom('systemAll').checked = false;
		    }
		}
	}
	function systemIpAttackTopNClick(obj) {
		if(obj.checked) {
			Ext.getDom('systemIpAttackTopNum').disabled = false;		        
		    if(++systemCheckNum == systemCheckAllNum){
		        Ext.getDom('systemAll').checked = true;
		    }
		} else {
		    Ext.getDom('systemIpAttackTopNum').disabled = true;
		    if(--systemCheckNum < systemCheckAllNum){
		        Ext.getDom('systemAll').checked = false;
		    }
		}
	}
	function systemAttackTopnAnalysisClick(obj) {
		if(obj.checked) {
		    Ext.getDom('systemAttackTopnAnalysisNum').disabled = false;		        
		    if(++systemCheckNum == systemCheckAllNum){
		        Ext.getDom('systemAll').checked = true;
		    }
	 	} else {
		    Ext.getDom('systemAttackTopnAnalysisNum').disabled = true;
		    if(--systemCheckNum < systemCheckAllNum){
		        Ext.getDom('systemAll').checked = false;
		    }
		}
	}
	function systemAttackTrendClick(obj) {
		if(obj.checked) {	    	        
		    if(++systemCheckNum == systemCheckAllNum){
		        Ext.getDom('systemAll').checked = true;
		    }
	 	} else {
		    if(--systemCheckNum < systemCheckAllNum){
		        Ext.getDom('systemAll').checked = false;
		    }
		}
	}
	
	// 获取checkBox选中的报表
	function checkSystemReportIds(isTask) {
		var checkFlag = 0;
		if(Ext.getDom('systemAttackTypeDistribute').checked) {
		    systemTopNValues += '0,';
		    systemReportIds += 'attackTypeDistribute,';
		    checkFlag = 1;
		} 		
		if(Ext.getDom('systemZoneAttackTopN').checked) {
		    var topNValue = Ext.getDom('systemZoneAttackTopNum').value;
		    if(topNValue < 1) {
		    	LegoTag.MessageBox.alert(TIPS_WINDOW_TITLE,REPORT_TOPN_RANGE);
		        return false;
		   	}
		    else if(topNValue > 100)
		   	{
		       	LegoTag.MessageBox.alert(TIPS_WINDOW_TITLE,REPORT_TOPN_RANGE);
		        return false;
		   	}       
		    systemTopNValues += topNValue + ',';
		    systemReportIds += 'zoneAttackTopN,';
		    checkFlag = 1;
		}  	  	
		if(Ext.getDom('systemIpAttackTopN').checked) {
		    var topNValue = Ext.getDom('systemIpAttackTopNum').value;
		    if(topNValue < 1) {
		        LegoTag.MessageBox.alert(TIPS_WINDOW_TITLE,REPORT_TOPN_RANGE);
		        return false;
		    }
		    else if(topNValue > 100)
		    {
		        LegoTag.MessageBox.alert(TIPS_WINDOW_TITLE,REPORT_TOPN_RANGE);
		        return false;
		    }       
		    systemTopNValues += topNValue + ',';
		    systemReportIds += 'ipAttackTopN,';
		    checkFlag = 1;
		} 
		// Attack Top N
		if(orDisplayInSys) {
			if(Ext.getDom('systemAttackTopnAnalysis').checked) {
			    var topNValue = Ext.getDom('systemAttackTopnAnalysisNum').value;
			    if(topNValue < 1) {
			        LegoTag.MessageBox.alert(TIPS_WINDOW_TITLE,REPORT_TOPN_RANGE);
			        return false;
			    }
			    else if(topNValue > 100)
			    {
			        LegoTag.MessageBox.alert(TIPS_WINDOW_TITLE,REPORT_TOPN_RANGE);
			        return false;
			   	}       
			    systemTopNValues += topNValue + ',';
			    systemReportIds += 'attackTopnAnalysis,';
			    checkFlag = 1;
			}  
		}
		// 若"异常/攻击日志"显示
		if(isDisplayInSys) {
			if(Ext.getDom('systemAttackExactLog').checked) {
			    var topNValue = Ext.getDom('systemAttackExactLogNum').value;
			    if(topNValue < 1) {
			        LegoTag.MessageBox.alert(TIPS_WINDOW_TITLE,REPORT_TOPN_RANGE);
			        return false;
				}
			    else if(topNValue > 100)
			   	{
			        LegoTag.MessageBox.alert(TIPS_WINDOW_TITLE,REPORT_TOPN_RANGE);
			        return false;
				}       
			    systemTopNValues += topNValue + ',';
			    systemReportIds += 'attackLog,';
			    checkFlag = 1;
			} 				 	  
		}			
		// Attack Trend	
		if(orDisplayInSys) {
			if(Ext.getDom('systemAttackTrend').checked) {     
			    systemTopNValues += '0,';
			    systemReportIds += 'attackTrend,';
			    checkFlag = 1;
			}  
		}	
		// 判断是否有报表选中
		if(checkFlag == 0) {
			if(!isTask)
			{
				LegoTag.MessageBox.alert(TIPS_WINDOW_TITLE,NO_REPORT_SELECTED);
			}
		    return false;
		}
		return true;
	}
	// 时间验证
	function validateTime() {	
		var startTime = Ext.getDom('startTime').value;
		var endTime = Ext.getDom('endTime').value;
		if(startTime == "" && endTime == "") {
			LegoTag.MessageBox.alert(TIPS_WINDOW_TITLE,NO_TIME_SELECTED);
			return false;
		}
		if(startTime >= endTime) {
			LegoTag.MessageBox.alert(TIPS_WINDOW_TITLE,STARTTIME_LESS_ENDTIME);
			return false;
		}
		return true;
	}
	// 重置
	function initSystemReport() {
		
		var useReportType = document.getElementById("useReportType").value;
		// 设备重置
		LegoTag.setCombValue('systemDeviceName', '-1', '-1');
		if(useReportType == 'ips') {
			LegoTag.setCombDisplay('systemDeviceName', ALL_DEVICE, ALL_DEVICE);
		} else {
			LegoTag.setCombDisplay('systemDeviceName', ALL_DEVICE_CLEAN, ALL_DEVICE_CLEAN);
		}	
			
		// 时间重置,为初始进入页面的显示时间
		Ext.getDom('startTime').value = initStartTime;
		Ext.getDom('endTime').value = initEndTime;
		// 报表格式重置,默认选中PDF
		if(Ext.getDom('systemHtml').checked) {
			Ext.getDom('systemPdf').checked=true;
		}	
		else if(Ext.getDom('systemExcel').checked) {
			Ext.getDom('systemPdf').checked=true;
		}	
		// topN重置
		Ext.getDom('systemZoneAttackTopNum').value = 10;
		Ext.getDom('systemIpAttackTopNum').value = 10;		    
		Ext.getDom('systemZoneAttackTopNum').disabled = true;
		Ext.getDom('systemIpAttackTopNum').disabled = true;
			
		// 报表类型重置   
		Ext.getDom('systemAttackTypeDistribute').checked = false;	
		Ext.getDom('systemZoneAttackTopN').checked = false;
		Ext.getDom('systemIpAttackTopN').checked = false;
					
		//  若"异常/攻击日志"、"单板流量"显示
		if(isDisplayInSys) {
			Ext.getDom('systemAttackExactLogNum').value = 10;
			Ext.getDom('systemAttackExactLogNum').disabled = true;
			Ext.getDom('systemAttackExactLog').checked = false;		
		}
		
		// 若"攻击事件Top N"、"攻击趋势"显示
		if(orDisplayInSys) {
			Ext.getDom('systemAttackTopnAnalysisNum').value = 10;
			Ext.getDom('systemAttackTopnAnalysisNum').disabled = true;
			Ext.getDom('systemAttackTopnAnalysis').checked = false;	
			Ext.getDom('systemAttackTrend').checked = false;
		}
			
		// 设置报表默认个数
		systemCheckAllNum = 2;	
 		systemCheckNum = 0;	
		
		// 重置时，设备的ID值可能改变
		setSysDisplayByValueIps();	
		
		// 全选重置
		Ext.getDom('systemAll').checked = false;
	}