	// 用户报表总个数，初始为11,原因是"异常/攻击日志"只能选单个设备,
	// "连接数"、CACHE、"攻击事件Top N"、"攻击趋势"只能选清洗设备
	var zoneCheckAllNum = 1;
 	var zoneCheckNum = 0;	
 	
 	// 提示"异常/攻击日志"、"单板流量"可否显示
	var isDisplayInZone = false; 
	// 提示"连接数"、"攻击事件Top N"、"攻击趋势"可否显示
	var orDisplayInZone = false;
	
	// 记录初始进入页面时显示的时间
	var initStartTime;
	var initEndTime;
	
	// 根据设备ID和类型确定那些报表显示
 	function setZoneDisplayByValueIps(isFirst) {
 		if("true" != isFirst)
 		{
 			document.getElementById("zoneId").value ="";
		  	document.getElementById("zoneName").value ="";
 		}	
 		// 得到设备ID值
 		var deviceId = LegoTag.getCombValue('zoneDeviceName');	
 		var devId = "";
 		var devType = "";
 		if(deviceId == -1) {
 			devId = deviceId.split("_")[0];
 		}else if(deviceId == -2){
 			devId = deviceId.split("_")[0];
 		}else {
 			devId = deviceId.split("_")[0];
 			devType = deviceId.split("_")[1];
 		}
		setDisplayStatusForZone(devId, devType);		
 	}
 	
 	function setDisplayStatusForZone(devId, devType) {	
 		// 1、全部清洗
 		if(devId == -1) {
 			// 1)、异常/攻击日志不显示
 			if(isDisplayInZone) { 				
 				// 显示时，该项选中，变为全部设备时，取消选中
	 			if(Ext.getDom('zoneAttackExactLog').checked) {
	 				zoneCheckNum--;				
	 				Ext.getDom('zoneAttackExactLog').checked = false;
	 				Ext.getDom('zoneAttackExactLogNum').value = 10;
		    		Ext.getDom('zoneAttackExactLogNum').disabled = true;    		
	 			}
 			}
 			isDisplayInZone = false;			
 			document.getElementById("zoneAkLogDisplay").style.display="none";
 			document.getElementById("zoneAkLogNumDisplay").style.display="none";
 			
 			// 2)、连接数、攻击事件Top N和攻击趋势显示
 			orDisplayInZone = true;
 			document.getElementById("zoneAkTopnDisplay").style.display="block";
 			document.getElementById("zoneAkTopnNumDisplay").style.display="block";
 			document.getElementById("zoneAkTrendDisplay").style.display="block";
 			
 			// 3)、此时用户报表个数,zoneCheckAllNum = 5
 			zoneCheckAllNum = 5;	
 		}else if(devId > 0) {
 		// 2、单个设备	
 			// 1)、异常/攻击日志显示
			isDisplayInZone = true; 			
 			document.getElementById("zoneAkLogDisplay").style.display="block";
 			document.getElementById("zoneAkLogNumDisplay").style.display="block";			
 			
 			if(devType == 0) {	
				// 2)、单个清洗设备,攻击事件Top N和攻击趋势显示
	 			orDisplayInZone = true;
	 			zoneCheckAllNum = 6;
	 			document.getElementById("zoneAkTopnDisplay").style.display="block";
	 			document.getElementById("zoneAkTopnNumDisplay").style.display="block";
	 			document.getElementById("zoneAkTrendDisplay").style.display="block";			
 			}else {
 				// 3)、单个检测设备,连接数、攻击事件Top N和攻击趋势不显示
 				if(orDisplayInZone) {
 					// 若选中状态，则取消选中
		 			if(Ext.getDom('zoneAttackTopnAnalysis').checked) {	
		 				zoneCheckNum--;				
		 				Ext.getDom('zoneAttackTopnAnalysis').checked = false;
		 				Ext.getDom('zoneAttackTopnAnalysisNum').value = 10;
			    		Ext.getDom('zoneAttackTopnAnalysisNum').disabled = true;    		
		 			}
		 			if(Ext.getDom('zoneAttackTrend').checked) {
		 				zoneCheckNum--;
		 				Ext.getDom('zoneAttackTrend').checked = false;
		 			}
 				}
 				orDisplayInZone = false;
 				zoneCheckAllNum = 4;
	 			document.getElementById("zoneAkTopnDisplay").style.display="none";
	 			document.getElementById("zoneAkTopnNumDisplay").style.display="none";
	 			document.getElementById("zoneAkTrendDisplay").style.display="none";		
 			}
 		}else {
 		// 3、全部检测
 			// 1)、全部检测，异常/攻击日志不显示
 			if(isDisplayInZone) { 				
 				// 若该项选中，则取消选中
	 			if(Ext.getDom('zoneAttackExactLog').checked) {	
	 				zoneCheckNum--;				
	 				Ext.getDom('zoneAttackExactLog').checked = false;
	 				Ext.getDom('zoneAttackExactLogNum').value = 10;
		    		Ext.getDom('zoneAttackExactLogNum').disabled = true;    		
	 			} 			
 			}
 			isDisplayInZone = false; 			
 			document.getElementById("zoneAkLogDisplay").style.display="none";
 			document.getElementById("zoneAkLogNumDisplay").style.display="none";
 			
 			// 2)、全部检测, 连接数、攻击事件Top N、攻击趋势不显示
 			if(orDisplayInZone) { 				
 				// 若选中状态，则取消选中
	 			if(Ext.getDom('zoneAttackTopnAnalysis').checked) {	
	 				zoneCheckNum--;				
	 				Ext.getDom('zoneAttackTopnAnalysis').checked = false;
	 				Ext.getDom('zoneAttackTopnAnalysisNum').value = 10;
		    		Ext.getDom('zoneAttackTopnAnalysisNum').disabled = true;    		
	 			}
	 			if(Ext.getDom('zoneAttackTrend').checked) {
	 				zoneCheckNum--;
	 				Ext.getDom('zoneAttackTrend').checked = false;
	 			}
 			}
			orDisplayInZone = false;
 			document.getElementById("zoneAkTopnDisplay").style.display="none";
 			document.getElementById("zoneAkTopnNumDisplay").style.display="none";
 			document.getElementById("zoneAkTrendDisplay").style.display="none";
 			
 			// 3)、此时用户报表个数,zoneCheckAllNum = 5
 			zoneCheckAllNum = 5;
 		}
 		// 4、确定全选状态 		
 		if(zoneCheckNum == zoneCheckAllNum){
	        Ext.getDom('zoneAll').checked = true;
	    }else {
	    	Ext.getDom('zoneAll').checked = false;
	    }
 	}
	
	// 加载页面时将各numberField属性设为不可用
    function load() {
    	// 根据设备ID确定"异常/攻击日志"是否显示
    	setZoneDisplayByValueIps("true");
    	Ext.getDom('zoneAll').checked = false;  
    	//设置开始时间、结束时间，使用客户端的时间
    	Ext.getDom("startTime").value = toStringByPattern(new Date(),"yyyy-MM-dd")+" 00:00:00";
    	Ext.getDom("endTime").value = toStringByPattern(new Date(),"yyyy-MM-dd")+" 23:59:59";
    	// 获得初始进入页面时显示的时间
    	initStartTime = Ext.getDom("startTime").value;
    	initEndTime = Ext.getDom("endTime").value;	 
    	checkZoneAllIps();		
    }
    
    // 全部选中
	function checkZoneAllIps() {
		// 全选选中
		if(Ext.getDom('zoneAll').checked) {
			// 全选时，将zoneCheckNum值设为用户报表总个数
			zoneCheckNum = zoneCheckAllNum;
		    // checkBox全部选中		    
		    Ext.getDom('zoneAttackTypeDistribute').checked = true;		
		    Ext.getDom('zoneIpAttackTopN').checked = true;		    	   
		    Ext.getDom('zoneBisAttackTopN').checked = true;
		    			       		        
		    // numberField可用
		    Ext.getDom('zoneIpAttackTopNum').disabled = false;		       
		    Ext.getDom('zoneBisAttackTopNum').disabled = false;
		    
		    // "异常/攻击日志"
		    if(isDisplayInZone) {
		    	Ext.getDom('zoneAttackExactLog').checked = true;
		    	Ext.getDom('zoneAttackExactLogNum').disabled = false;
		    }
		    // "连接数"、CACHE、"攻击事件TopＮ"、"攻击趋势"
		    if(orDisplayInZone) {
		    	Ext.getDom('zoneAttackTopnAnalysis').checked = true;
		    	Ext.getDom('zoneAttackTopnAnalysisNum').disabled = false;
		    	Ext.getDom('zoneAttackTrend').checked = true;
		    }
		        	  
		} else {
			// 取消全选时，将zoneCheckNum值设为0
			zoneCheckNum = 0;
		    // checkBox取消全部选中
		    Ext.getDom('zoneAttackTypeDistribute').checked = false;		    
		    Ext.getDom('zoneIpAttackTopN').checked = false;		       
		    Ext.getDom('zoneBisAttackTopN').checked = false;
		   	
		    // numberField不可用
		    Ext.getDom('zoneIpAttackTopNum').disabled = true;	   
		    Ext.getDom('zoneBisAttackTopNum').disabled = true;
		    
		    
		    // "异常/攻击日志"显示
	    	Ext.getDom('zoneAttackExactLog').checked = false;
	    	Ext.getDom('zoneAttackExactLogNum').disabled = true;
		    
		    // "连接数"、CACHE、"攻击事件TopＮ"、"攻击趋势"
	    	Ext.getDom('zoneAttackTopnAnalysis').checked = false;
	    	Ext.getDom('zoneAttackTopnAnalysisNum').disabled = true;
	    	Ext.getDom('zoneAttackTrend').checked = false;  
		}
	}
	function zoneAttackTypeDistributeClick(obj) {
		if(obj.checked) {	             
			if(++zoneCheckNum == zoneCheckAllNum) {
		        Ext.getDom('zoneAll').checked = true;
		    }
		} else {
		   	if(--zoneCheckNum < zoneCheckAllNum){
		        Ext.getDom('zoneAll').checked = false;
		    }
		}
	}
	function zoneAttackExactLogClick(obj) {
		if(obj.checked) {
			Ext.getDom('zoneAttackExactLogNum').disabled = false;		        
		    if(++zoneCheckNum == zoneCheckAllNum){
		        Ext.getDom('zoneAll').checked = true;
		    }
		} else {
		    Ext.getDom('zoneAttackExactLogNum').disabled = true;
		    if(--zoneCheckNum < zoneCheckAllNum){
		        Ext.getDom('zoneAll').checked = false;
		    }
		}
	}
	function zoneIpAttackTopNClick(obj) {
		if(obj.checked) {
		    Ext.getDom('zoneIpAttackTopNum').disabled = false;		        
		    if(++zoneCheckNum == zoneCheckAllNum){
		        Ext.getDom('zoneAll').checked = true;
		    }
		} else {
		    Ext.getDom('zoneIpAttackTopNum').disabled = true;
		    if(--zoneCheckNum < zoneCheckAllNum){
		        Ext.getDom('zoneAll').checked = false;
		    }
		}
	}
	function zoneAttackTopnAnalysisClick(obj) {
		if(obj.checked) {
		    Ext.getDom('zoneAttackTopnAnalysisNum').disabled = false;		        
		    if(++zoneCheckNum == zoneCheckAllNum){
		        Ext.getDom('zoneAll').checked = true;
		    }
	 	} else {
		    Ext.getDom('zoneAttackTopnAnalysisNum').disabled = true;
		    if(--zoneCheckNum < zoneCheckAllNum){
		        Ext.getDom('zoneAll').checked = false;
		    }
		}
	}
	function zoneAttackTrendClick(obj) {
		if(obj.checked) {	    	        
		    if(++zoneCheckNum == zoneCheckAllNum){
		        Ext.getDom('zoneAll').checked = true;
		    }
	 	} else {
		    if(--zoneCheckNum < zoneCheckAllNum){
		        Ext.getDom('zoneAll').checked = false;
		    }
		}
	}
	function zoneBisAttackTopNClick(obj) {
		if(obj.checked) {
		    Ext.getDom('zoneBisAttackTopNum').disabled = false;		        
		    if(++zoneCheckNum == zoneCheckAllNum){
		        Ext.getDom('zoneAll').checked = true;
		    }
	 	} else {
		    Ext.getDom('zoneBisAttackTopNum').disabled = true;
		    if(--zoneCheckNum < zoneCheckAllNum){
		        Ext.getDom('zoneAll').checked = false;
		    }
		}
	}
	
	// 获取checkBox选中的报表
	function checkZoneReportIds(isTask) {
		var checkFlag = 0;
				  
		if(Ext.getDom('zoneAttackTypeDistribute').checked) {
		    zoneTopNValues += '0,';
		    zoneReportIds += 'attackTypeDistribute,';
		    checkFlag = 1;
		} 	 
			  	
		if(Ext.getDom('zoneIpAttackTopN').checked) {
		    var topNValue = Ext.getDom('zoneIpAttackTopNum').value;
		    if(topNValue < 1) {
		    	LegoTag.MessageBox.alert(TIPS_WINDOW_TITLE,REPORT_TOPN_RANGE);
		        return false;
		   	}
		    else if(topNValue > 100)
		   	{
		       	LegoTag.MessageBox.alert(TIPS_WINDOW_TITLE,REPORT_TOPN_RANGE);
		        return false;
		   	}       
		    zoneTopNValues += topNValue + ',';
		    zoneReportIds += 'ipAttackTopN,';
		    checkFlag = 1;
		}  	
			  		
		if(Ext.getDom('zoneBisAttackTopN').checked) {
		    var topNValue = Ext.getDom('zoneBisAttackTopNum').value;
		    if(topNValue < 1) {
		        LegoTag.MessageBox.alert(TIPS_WINDOW_TITLE,REPORT_TOPN_RANGE);
		        return false;
		    }
		    else if(topNValue > 100)
		    {
		        LegoTag.MessageBox.alert(TIPS_WINDOW_TITLE,REPORT_TOPN_RANGE);
		        return false;
		   	}       
		    zoneTopNValues += topNValue + ',';
		    zoneReportIds += 'bisAttackTopN,';
		    checkFlag = 1;
		}  	  	
		
		// Attack Top N若显示，可选中
		if(orDisplayInZone) {
			if(Ext.getDom('zoneAttackTopnAnalysis').checked) {
			    var topNValue = Ext.getDom('zoneAttackTopnAnalysisNum').value;
			    if(topNValue < 1) {
			        LegoTag.MessageBox.alert(TIPS_WINDOW_TITLE,REPORT_TOPN_RANGE);
			        return false;
			   	}
			    else if(topNValue > 100)
			    {
			        LegoTag.MessageBox.alert(TIPS_WINDOW_TITLE,REPORT_TOPN_RANGE);
			        return false;
			    }       
			    zoneTopNValues += topNValue + ',';
			    zoneReportIds += 'attackTopnAnalysis,';
			    checkFlag = 1;
			}  
		}	
		// "异常/攻击日志"若显示,可选中 
		if(isDisplayInZone) {
			if(Ext.getDom('zoneAttackExactLog').checked) {
			    var topNValue = Ext.getDom('zoneAttackExactLogNum').value;
			    if(topNValue < 1) {
			        LegoTag.MessageBox.alert(TIPS_WINDOW_TITLE,REPORT_TOPN_RANGE);
			        return false;
				}
			    else if(topNValue > 100)
			   	{
			        LegoTag.MessageBox.alert(TIPS_WINDOW_TITLE,REPORT_TOPN_RANGE);
			        return false;
				}       
			    zoneTopNValues += topNValue + ',';
			    zoneReportIds += 'attackLog,';
			    checkFlag = 1;
			}  	 
		}	
		// Attack Trend若显示, 可选中
		if(orDisplayInZone) {
			if(Ext.getDom('zoneAttackTrend').checked) {     
			    zoneTopNValues += '0,';
			    zoneReportIds += 'attackTrend,';
			    checkFlag = 1;	
			}  
		}	
		// 判断是否有报表选中
		if(checkFlag == 0) {
			if(!isTask)
			{
				LegoTag.MessageBox.alert(TIPS_WINDOW_TITLE,NO_REPORT_SELECTED);
			}
		    return false;
		}
		return true;
	}
	// 时间验证
	function validateTime() {	
		var startTime = Ext.getDom('startTime').value;
		var endTime = Ext.getDom('endTime').value;
		if(startTime == "" && endTime == "") {
			LegoTag.MessageBox.alert(TIPS_WINDOW_TITLE,NO_TIME_SELECTED);
			return false;
		}
		if(startTime >= endTime) {
			LegoTag.MessageBox.alert(TIPS_WINDOW_TITLE,STARTTIME_LESS_ENDTIME);
			return false;
		}
		return true;
	}
	// 重置
	function initZoneReport() {
	
		var useReportType = document.getElementById("useReportType").value;
		// 设备重置
		LegoTag.setCombValue('zoneDeviceName', '-1', '-1');
		if(useReportType == 'ips') {
			LegoTag.setCombDisplay('zoneDeviceName', ALL_DEVICE, ALL_DEVICE);
		}else {
			LegoTag.setCombDisplay('zoneDeviceName', ALL_DEVICE_CLEAN, ALL_DEVICE_CLEAN);
		}
		
		// 用户重置
		Ext.getDom('zoneName').value = "";
		// 时间重置，为初始进入页面时显示的时间
		Ext.getDom('startTime').value = initStartTime;
		Ext.getDom('endTime').value = initEndTime;
		// 报表格式重置
		if(Ext.getDom('zoneHtml').checked) {
			Ext.getDom('zonePdf').checked=true;
		}	
		else if(Ext.getDom('zoneExcel').checked) {
			Ext.getDom('zonePdf').checked=true;
		}
		// topN重置
		Ext.getDom('zoneIpAttackTopNum').value = 10;			   
		Ext.getDom('zoneBisAttackTopNum').value = 10;
		
		Ext.getDom('zoneIpAttackTopNum').disabled = true;	   
		Ext.getDom('zoneBisAttackTopNum').disabled = true;
		
		// 报表类型重置   
		Ext.getDom('zoneAttackTypeDistribute').checked = false;
		Ext.getDom('zoneIpAttackTopN').checked = false;		   
		Ext.getDom('zoneBisAttackTopN').checked = false;
			
		//  若"异常/攻击日志"显示
		if(isDisplayInZone) {
			Ext.getDom('zoneAttackExactLogNum').value = 10;
			Ext.getDom('zoneAttackExactLogNum').disabled = true;
			Ext.getDom('zoneAttackExactLog').checked = false;	
		}	
		// 若"攻击事件Top N"、"攻击趋势"显示
		if(orDisplayInZone) {
			Ext.getDom('zoneAttackTopnAnalysisNum').value = 10;
			Ext.getDom('zoneAttackTopnAnalysisNum').disabled = true;
			Ext.getDom('zoneAttackTopnAnalysis').checked = false;	
			Ext.getDom('zoneAttackTrend').checked = false;
		}
		
		// 设置报表默认个数
		zoneCheckAllNum = 6;
 		zoneCheckNum = 0;
 				
		// 重置时，设备的ID值可能改变
		setZoneDisplayByValueIps("true");

		// 全选重置
		Ext.getDom('zoneAll').checked = false;
	}
	
	function clickOtherEmail(obj) {
   		var otherEmailInfo = document.getElementById('otherEmailInfo');
		if(obj.checked) {
			otherEmailInfo.disabled = false;
			obj.value = 1;
		} else {
			otherEmailInfo.disabled = true;
			obj.value = 0;
		}
	}
	function clickZoneEmail(obj) {
		if(obj.checked) {
			obj.value = 1;
		} else {
			obj.value = 0;
		}
	}
	
	var TIP_INFO = '<s:text name="atic.public.window.title.info"/>';
	
	function checkEmail(emailAddress, errorMsg) {
		var emailRegex = /^([\w]+)(\.[\w]+)*@([\w\-]+\.){1,5}([A-Za-z]){2,4}$/;
		var email = new Array();   
	 	email = emailAddress.split(";"); 
		for (i=0; i < email.length; i++ )   
	    {   
	        if(!emailRegex.test(email[i])) {
	        	LegoTag.MessageBox.alert(TIP_INFO, errorMsg);
	        	return false;
	        }
	    }
	    return true;
	}