
//新增引流策略(静态)
function addDivertTactics() {
	LegoTag.frameWindow(WEB_ROOT_ABS_PATH + "/atic/business/showAddDivertTactics.do", "addDivertTactics", "title=" + ADD + ",height=550,width=700", false);
}
			


          
 				 
// 按钮显示隐藏控制
function btnShow() {
	// 获取grid选中的数量
	var grid = LegoTag.getGridSelectedData("divertTacticsGrid");
	var bStop = 0;
	var bStart = 0;
	var zoneStatic = 0;
	for (var i = 0; grid[i]; i++) {
		if (grid[i].divertStatus == 1) {
			++bStop;
		}
		if (grid[i].divertStatus == 0) {
			++bStart;
		}
		
		//if (grid[i].divertMode == 2 && grid[i].zoneDesc != "-") {
		//    ++zoneStatic;
		//}
		
	} 
	//多项选择判断
	LegoTag.setDisableds(["divert_btn_start"], bStart != grid.length || !grid.length);
	LegoTag.setDisableds(["divert_btn_stop"], bStop != grid.length || !grid.length);
	LegoTag.setDisableds(["divert_btn_del"], !grid.length );
}
			
//删除引流策略（批量删除）
function batchDelDivert(id) {
	var record = getRecord(id);
	var iStart = 0;
	var info;
	
	for (var i = 0; record[i]; i++) {
		if (record[i].divertStatus == 1) {
			++iStart;
		}
	}
	if (iStart) {
		if (!(record.length - 1)) {
			info = SINGLE_DEL_START_INFO;
		} else {
			info = MULTI_DEL_START_INFO;
		}
	}
	LegoTag.Msg.confirm(CONFIRM, info ? info : CONFIRM_DEL, function (btn) {
		if (btn == "yes") {
			var deleteIds = new Array();
			var deleteNames = new Array();
			for (var i = 0; i < record.length; i++) {
				deleteIds.push(record[i].id);
				deleteNames.push("(" + record[i].deviceName + "," + IP_ADDRESS + " :" + record[i].divertIp + ")");
			}
			//判断设备是否在线
			isDevOnLine(deleteIds,deleteNames);
		}
	});
}

function isDevOnLine(ids,deleteNames)
{
	 LegoTag.Ajax.request({						
			url : WEB_ROOT_ABS_PATH + "/atic/business/isDevOnLine.do",
			method : 'GET',
			params:{ids:ids}, 
			success : function(action) {
				if (action.responseText == "success") 
				{
					delDivert(ids,deleteNames);
				}
				else
				{
					var error = DEL_RISK_NE+"<br><br>"+action.responseText+"<br><br>"+DEL_RISK_INFO;//有设备不在线，给出提示
					LegoTag.Msg.confirm(TIP_INFO,error, function(btn) {
									if (btn == 'yes') {
										delDivert(ids,deleteNames);
										}
								});
				}
			},
			failure : function() {
			}
		});
}

function delDivert(deleteIds,deleteNames)
{
  LegoTag.Msg.wait(DELETING);
  LegoTag.Ajax.request({
		timeout:1200000,
		url:WEB_ROOT_ABS_PATH + "/atic/business/deleteDivertTactics.do", 
		method:"post", 
		params:{ids:deleteIds, names:deleteNames}, 
		success:function (response, options) {
			var info = response.responseText;
			if (info == "success") {
				LegoTag.Msg.succeed(DEL_SUCCESS, function () {
					window.location = WEB_ROOT_ABS_PATH + "/atic/business/listDivertTactics.do?pageSize=" + PAGE_SIZE + "&start=" + PAGE_START;
				});
			} else {
				if (LegoTag.Msg.isVisible()) {
					LegoTag.Msg.hide();
				}
				if (info == "failure") {
				window.location= WEB_ROOT_ABS_PATH + "/atic/business/listDivertTactics.do?pageSize=" + PAGE_SIZE + "&start=" + PAGE_START;
					LegoTag.frameWindow(BATCH_URL, "deleteDivertTacticsResult", "title = " + DEL_RESLULT + ", height=500, width=650", false);
				}
			}
		},callback:function () {
				if (arguments[2].responseText.indexOf("<!--exceptionpage,showexception-->") >= 0)
				{
					
		    			window.location= WEB_ROOT_ABS_PATH + "/atic/business/listDivertTactics.do?pageSize=" + PAGE_SIZE + "&start=" + PAGE_START;
		   				
				}}, failure:function () {
			Ext.MessageBox.alert("error");
		}});
}

function delAllDivert()
{
	LegoTag.Msg.confirm(CONFIRM, CONFIRM_DEL_ALL, function (btn) {
		if (btn == "yes") {
			LegoTag.Msg.wait(DELETING);
			isDevOnLineForAll();
		}
	});

}
function isDevOnLineForAll()
{
	 LegoTag.Ajax.request({
			url : WEB_ROOT_ABS_PATH + "/atic/business/isDevOnLine.do",
			method : 'GET',
			params:{ids:"0"}, 
			success : function(action) {
				if (action.responseText == "success") 
				{
					delDivertForAll();
				}
				else
				{
					var error = DEL_RISK_NE+"<br><br>"+action.responseText+"<br><br>"+DEL_RISK_INFO;
					LegoTag.Msg.confirm(TIP_INFO,error, function(btn) {
									if (btn == 'yes') {
										delDivertForAll();
										}
								});
				}
			},
			failure : function() {
			}
		});
}

function delDivertForAll()
{
  LegoTag.Ajax.request({
		timeout:1200000,
		url:WEB_ROOT_ABS_PATH + "/atic/business/deleteAllDivertTactics.do", 
		method:"post", 
		params:{}, 
		success:function (response, options) {
			var info = response.responseText;
			if (info == "success") {
				LegoTag.Msg.succeed(DEL_SUCCESS, function () {
					window.location = WEB_ROOT_ABS_PATH + "/atic/business/listDivertTactics.do?pageSize=" + PAGE_SIZE + "&start=" + PAGE_START;
				});
			} else {
				if (LegoTag.Msg.isVisible()) {
					LegoTag.Msg.hide();
				}
				if (info == "failure") {
				window.location= WEB_ROOT_ABS_PATH + "/atic/business/listDivertTactics.do?pageSize=" + PAGE_SIZE + "&start=" + PAGE_START;
					LegoTag.frameWindow(BATCH_URL, "deleteDivertTacticsResult", "title = " + DEL_RESLULT + ", height=500, width=650", false);
				}
			}
		},callback:function () {
				if (arguments[2].responseText.indexOf("<!--exceptionpage,showexception-->") >= 0)
				{
					
		    			window.location= WEB_ROOT_ABS_PATH + "/atic/business/listDivertTactics.do?pageSize=" + PAGE_SIZE + "&start=" + PAGE_START;
		   				
				}}, failure:function () {
			Ext.MessageBox.alert("error");
		}});
}


function getZoneList(value, deviceId) {
	document.getElementById("zoneId").value = "";
	document.getElementById("queryZoneSim").value = "";
	document.getElementById("adv_zoneId").value = "";
	document.getElementById("adv_queryZoneSim").value = "";
}
//显示高级查询
function showAdvanceQuery(id) {
	var sStyle = document.getElementById(id).style;
	sStyle.display = (sStyle.display == "block" ? "none" : "block");
}
function simpleQuery() {
	document.getElementById("simpleSearchForm").submit();
}
function advanceQuery() {
	var form = document.getElementById("advanceSearchForm");
	var validInfo = LegoTag.validFormResult(form, true, true, TIP_INFO);
	
	var startTime = document.getElementById("advanced_divert_start_ip").value;
	var endTime = document.getElementById("advanced_divert_end_ip").value;
	
	// 开始时间应小于结束时间
	if(startTime.trim().length > 0 && endTime.trim().length > 0)
	{
		var startDate = parseDate(startTime);
		var endDate = parseDate(endTime);
		
		if(startDate > endDate)
		{
			LegoTag.Msg.alert(TIP_INFO, STARTTIME_LESS_ENDTIME);
			return;
		}
	}
	if (validInfo) {
			  return;
		}

	form.submit();
		
}

// 将字符串时间格式2011-08-08 22:22:22解析为Date
var parseDate = function (strDate)
{
    var year, month, day, hour, minute, second;
    var date = strDate.split(" ");
    var foreDate = date[0];
    var backDate = date[1];
    
    var parseForeDate = foreDate.split("-");
    year = parseForeDate[0];
    month = parseForeDate[1];
    day = parseForeDate[2];
    
    var parseBackDate = backDate.split(":");
    hour = parseBackDate[0];
    minute = parseBackDate[1];
    second = parseBackDate[2];
    
    return new Date(year, month, day, hour, minute, second);
}

function getRecord(id) {
	if (!id) {
		return LegoTag.getGridSelectedData("divertTacticsGrid");
	}
	var allData = LegoTag.getGridAllData("divertTacticsGrid");
	for (var i = 0; allData[i]; i++) {
		if (allData[i].id == id) {
			return new Array(allData[i]);
		}
	}
}

 //校验开始时间格式
    function validateStartDate(){
	    var elDateTime=document.getElementById("advanced_divert_start_ip");
	    
	  	return commonValidate(elDateTime);
	}
	//校验结束时间格式
	function validateEndDate(){
	    var elDateTime=document.getElementById("advanced_divert_end_ip");
	  	return commonValidate(elDateTime);
	}
function commonValidate(elDateTime)
	{
		var dateVal = elDateTime.value;
		if(dateVal.trim().length<=0){
		return true;
		}
	  	var dateFormat = LegoTag.getDateFormat(Ext.get(elDateTime));//elDateTime.getAttribute("dateformat");
	    var retDate = Date.parseDate(dateVal, dateFormat);
	    if(retDate && retDate.format(dateFormat)!=dateVal)
   		{
    		return TIME_INVAIL;
   		}
	    
	    if(retDate)
	    {
	    	return true;
	    }
	    return TIME_INVAIL;
	}
 
