	// 用户报表总个数，初始为12,原因是"攻击分布(丢包数)"和"攻击趋势"只能选择清洗设备
	var zoneCheckAllNum = 10;
 	var zoneCheckNum = 0;	
 	
	// 提"攻击分布(丢包数)"和"攻击趋势"可否显示
 	var dropDisplayInZone = false;
	
	// 记录初始进入页面时显示的时间
	var initStartTime;
	var initEndTime;
	
	// 根据设备ID和类型确定那些报表显示
 	function setZoneDisplayByValue(isFirst) {
 		//if("true" != isFirst)
 		//{
 		//	document.getElementById("zoneId").value ="";
		//  	document.getElementById("zoneName").value ="";
 		//}	
 		// 得到设备ID值
 		var deviceId = LegoTag.getCombValue('zoneDeviceName');	
 		var devId = "";
 		var devType = "";
 		// 区别SIG与其它设备
 		var devModel = "";  
 		if(deviceId == -1) {
 			devId = deviceId.split("_")[0];
 		}else if(deviceId == -2){
 			devId = deviceId.split("_")[0];
 		}else if(deviceId == 0){
 			devId = deviceId.split("_")[0];
 		}else {
 			devId = deviceId.split("_")[0];
 			devType = deviceId.split("_")[1];
 			devModel = deviceId.split("_")[2];
 		}
		setDisplayStatusForZone(devId, devType, devModel);		
 	}
 	
 	function setDisplayStatusForZone(devId, devType, devModel) 
 	{	
 		// 1、全部检测
 		if(devId == -2 || (devId > 0 && devType == 1))
 		{
 			if(dropDisplayInZone) 
 			{ 				
 				// 若选中状态，则取消选中
	 			if(Ext.getDom('zoneAttackDisPacket').checked) {	
	 				zoneCheckNum--;				
	 				Ext.getDom('zoneAttackDisPacket').checked = false;
	 			}
	 			if(Ext.getDom('zoneAttackTrend').checked) {
	 				zoneCheckNum--;
	 				Ext.getDom('zoneAttackTrend').checked = false;
	 			}
 			}
			dropDisplayInZone = false;
 			document.getElementById("zoneAttackDisPacketDisplay").style.display="none";
 			document.getElementById("zoneAttackTrendDisplay").style.display="none";	
 			// 3)、此时系统报表个数,zoneCheckAllNum = 12
 			zoneCheckAllNum = 10;
 		}
 		else
 		{
 			// 2)、攻击分布（丢包数）、攻击趋势显示
 			dropDisplayInZone = true;
 			document.getElementById("zoneAttackDisPacketDisplay").style.display="block";
 			document.getElementById("zoneAttackTrendDisplay").style.display="block";			
 			
 			// 3)、此时系统报表个数,zoneCheckAllNum = 14
 			zoneCheckAllNum = 12;	
 		}
 		// 4、确定全选状态
 		if(zoneCheckNum == zoneCheckAllNum)
 		{
	        Ext.getDom('zoneAll').checked = true;
	    }else {
	    	Ext.getDom('zoneAll').checked = false;
	    }
 	}
	
	// 加载页面时将各numberField属性设为不可用
    function load() {
    	// 根据设备ID确定"异常/攻击日志"是否显示
    	setZoneDisplayByValue("true");
    	Ext.getDom('zoneAll').checked = false;  
    	//设置开始时间、结束时间，使用客户端的时间
    	Ext.getDom("startTime").value = toStringByPattern(new Date(),"yyyy-MM-dd")+" 00:00:00";
    	Ext.getDom("endTime").value = toStringByPattern(new Date(),"yyyy-MM-dd")+" 23:59:59";
    	document.getElementById("scheduleTime").value = toStringByPattern(new Date(),"yyyy-MM-dd");
    	// 获得初始进入页面时显示的时间
    	initStartTime = Ext.getDom("startTime").value;
    	initEndTime = Ext.getDom("endTime").value;	 
    	checkZoneAll();		
    }
    
    // 全部选中
	function checkZoneAll() {
		// 全选选中
		if(Ext.getDom('zoneAll').checked) {
			// 全选时，将zoneCheckNum值设为系统报表总个数
			zoneCheckNum = zoneCheckAllNum;
		    // checkBox全部选中		    
		    Ext.getDom('zoneFlowCompare').checked = true;
		    Ext.getDom('zoneAppFlowDistribute').checked = true;
		    Ext.getDom('zoneAttackTypeDistribute').checked = true;		    
		    	        		       
		    Ext.getDom('zoneAttackTrendCount').checked = true;	   
		    
		    Ext.getDom('zoneAttackEventTopN').checked = true;
		    Ext.getDom('zoneAttackEventTopNNum').disabled = false;
		   	
		   	Ext.getDom('zoneIpAttackCountTopN').checked = true;
		    Ext.getDom('zoneIpAttackCountTopNNum').disabled = false;
		    
		    Ext.getDom('zoneDnsRequestTopN').checked = true;
		    Ext.getDom('zoneDnsRequestTopNNum').disabled = false;
		    Ext.getDom('zoneSrcIpRequestTopN').checked = true;
		    Ext.getDom('zoneSrcIpRequestTopNNum').disabled = false;
		    Ext.getDom('zoneHttpSrcTopN').checked = true;
		    Ext.getDom('zoneHttpSrcTopNNum').disabled = false;
		    Ext.getDom('zoneHttpURlTopN').checked = true;
		    Ext.getDom('zoneHttpURlTopNNum').disabled = false;
		    //Ext.getDom('zoneSipSrcTopN').checked = true;
		    //Ext.getDom('zoneSipSrcTopNNum').disabled = false;
		    //Ext.getDom('zoneSipCallerTopN').checked = true;
		    //Ext.getDom('zoneSipCallerTopNNum').disabled = false;
		    if(dropDisplayInZone) {
		    	Ext.getDom('zoneAttackDisPacket').checked = true;	
		    	Ext.getDom('zoneAttackTrend').checked = true;
		    }
		} else {
			// 取消全选时，将zoneCheckNum值设为0
			zoneCheckNum = 0;
		    // checkBox全部选中		    
		    Ext.getDom('zoneFlowCompare').checked = false;
		    Ext.getDom('zoneAppFlowDistribute').checked = false;
		    Ext.getDom('zoneAttackTypeDistribute').checked = false;		    
		    	        		       
		    Ext.getDom('zoneAttackTrendCount').checked = false;	   
		    
		    Ext.getDom('zoneAttackEventTopN').checked = false;
		    Ext.getDom('zoneAttackEventTopNNum').disabled = true;
		   	
		   	Ext.getDom('zoneIpAttackCountTopN').checked = false;
		    Ext.getDom('zoneIpAttackCountTopNNum').disabled = true;
		    
		    Ext.getDom('zoneDnsRequestTopN').checked = false;
		    Ext.getDom('zoneDnsRequestTopNNum').disabled = true;
		    Ext.getDom('zoneSrcIpRequestTopN').checked = false;
		    Ext.getDom('zoneSrcIpRequestTopNNum').disabled = true;
		    Ext.getDom('zoneHttpSrcTopN').checked = false;
		    Ext.getDom('zoneHttpSrcTopNNum').disabled = true;
		    Ext.getDom('zoneHttpURlTopN').checked = false;
		    Ext.getDom('zoneHttpURlTopNNum').disabled = true;
		    //Ext.getDom('zoneSipSrcTopN').checked = false;
		    //Ext.getDom('zoneSipSrcTopNNum').disabled = true;
		    //Ext.getDom('zoneSipCallerTopN').checked = false;
		    //Ext.getDom('zoneSipCallerTopNNum').disabled = true;
		    
	    	Ext.getDom('zoneAttackDisPacket').checked = false;	
	    	Ext.getDom('zoneAttackTrend').checked = false;
		}
	}
	// 根据checkBox选中判断numberfield是否可用
	function zoneFlowCompareClick(obj) {
		if(obj.checked) {
		    if(++zoneCheckNum == zoneCheckAllNum){
		        Ext.getDom('zoneAll').checked = true;
		    }
		} else {
		    if(--zoneCheckNum < zoneCheckAllNum){
		        Ext.getDom('zoneAll').checked = false;
		    }
		}
	}
	function zoneAppFlowDistributeClick(obj) {
		if(obj.checked) {	             
			if(++zoneCheckNum == zoneCheckAllNum) {
		        Ext.getDom('zoneAll').checked = true;
		    }
		} else {
		   	if(--zoneCheckNum < zoneCheckAllNum){
		        Ext.getDom('zoneAll').checked = false;
		    }
		}
	}
	function zoneAttackTypeDistributeClick(obj) {
		if(obj.checked) {	             
			if(++zoneCheckNum == zoneCheckAllNum) {
		        Ext.getDom('zoneAll').checked = true;
		    }
		} else {
		   	if(--zoneCheckNum < zoneCheckAllNum){
		        Ext.getDom('zoneAll').checked = false;
		    }
		}
	}
	function zoneAttackDisPacketClick(obj) {
		if(obj.checked) {
		    if(++zoneCheckNum == zoneCheckAllNum){
		        Ext.getDom('zoneAll').checked = true;
		    }
		} else {
		    if(--zoneCheckNum < zoneCheckAllNum){
		        Ext.getDom('zoneAll').checked = false;
		    }
		}
	}
	function zoneAttackTrendClick(obj) {
		if(obj.checked) {
		    if(++zoneCheckNum == zoneCheckAllNum){
		        Ext.getDom('zoneAll').checked = true;
		    }
		} else {
		    if(--zoneCheckNum < zoneCheckAllNum){
		        Ext.getDom('zoneAll').checked = false;
		    }
		}
	}
	function zoneAttackTrendCountClick(obj) {
		if(obj.checked) {
		    if(++zoneCheckNum == zoneCheckAllNum){
		        Ext.getDom('zoneAll').checked = true;
		    }
		} else {
		    if(--zoneCheckNum < zoneCheckAllNum){
		        Ext.getDom('zoneAll').checked = false;
		    }
		}
	}
	function zoneAttackEventTopNClick(obj) {
		if(obj.checked) {
			Ext.getDom('zoneAttackEventTopNNum').disabled = false;		        
		    if(++zoneCheckNum == zoneCheckAllNum){
		        Ext.getDom('zoneAll').checked = true;
		    }
		} else {
		    Ext.getDom('zoneAttackEventTopNNum').disabled = true;
		    if(--zoneCheckNum < zoneCheckAllNum){
		        Ext.getDom('zoneAll').checked = false;
		    }
		}
	}
	function zoneIpAttackCountTopNClick(obj) {
		if(obj.checked) {
		    Ext.getDom('zoneIpAttackCountTopNNum').disabled = false;		        
		    if(++zoneCheckNum == zoneCheckAllNum){
		        Ext.getDom('zoneAll').checked = true;
		    }
	 	} else {
		    Ext.getDom('zoneIpAttackCountTopNNum').disabled = true;
		    if(--zoneCheckNum < zoneCheckAllNum){
		        Ext.getDom('zoneAll').checked = false;
		    }
		}
	}
	function zoneDnsRequestTopNClick(obj) {
		if(obj.checked) {
			Ext.getDom('zoneDnsRequestTopNNum').disabled = false;    	        
		    if(++zoneCheckNum == zoneCheckAllNum){
		        Ext.getDom('zoneAll').checked = true;
		    }
	 	} else {
	 		Ext.getDom('zoneDnsRequestTopNNum').disabled = true;
		    if(--zoneCheckNum < zoneCheckAllNum){
		        Ext.getDom('zoneAll').checked = false;
		    }
		}
	}
	function zoneSrcIpRequestTopNClick(obj) {
		if(obj.checked) {
			Ext.getDom('zoneSrcIpRequestTopNNum').disabled = false;	    	        
		    if(++zoneCheckNum == zoneCheckAllNum){
		        Ext.getDom('zoneAll').checked = true;
		    }
	 	} else {
	 		Ext.getDom('zoneSrcIpRequestTopNNum').disabled = true;
		    if(--zoneCheckNum < zoneCheckAllNum){
		        Ext.getDom('zoneAll').checked = false;
		    }
		}
	}
	function zoneHttpSrcTopNClick(obj) {
		if(obj.checked) {
			Ext.getDom('zoneHttpSrcTopNNum').disabled = false;		        
		    if(++zoneCheckNum == zoneCheckAllNum){
		        Ext.getDom('zoneAll').checked = true;
		    }
		} else {
		    Ext.getDom('zoneHttpSrcTopNNum').disabled = true;
		    if(--zoneCheckNum < zoneCheckAllNum){
		        Ext.getDom('zoneAll').checked = false;
		    }
		}
	}
	function zoneHttpURlTopNClick(obj) {
		if(obj.checked) {
		    Ext.getDom('zoneHttpURlTopNNum').disabled = false;		        
		    if(++zoneCheckNum == zoneCheckAllNum){
		        Ext.getDom('zoneAll').checked = true;
		    }
	 	} else {
		    Ext.getDom('zoneHttpURlTopNNum').disabled = true;
		    if(--zoneCheckNum < zoneCheckAllNum){
		        Ext.getDom('zoneAll').checked = false;
		    }
		}
	}
	function zoneSipSrcTopNClick(obj) {
		if(obj.checked) {
		    Ext.getDom('zoneSipSrcTopNNum').disabled = false;		        
		    if(++zoneCheckNum == zoneCheckAllNum){
		        Ext.getDom('zoneAll').checked = true;
		    }
		} else {
		    Ext.getDom('zoneSipSrcTopNNum').disabled = true;
		    if(--zoneCheckNum < zoneCheckAllNum){
		        Ext.getDom('zoneAll').checked = false;
		    }
		}
	}
	function zoneSipCallerTopNClick(obj) {
		if(obj.checked) {
			Ext.getDom('zoneSipCallerTopNNum').disabled = false;			   			        
		    if(++zoneCheckNum == zoneCheckAllNum){
		        Ext.getDom('zoneAll').checked = true;
		    }
		} else {	
			Ext.getDom('zoneSipCallerTopNNum').disabled = true;		    
		    if(--zoneCheckNum < zoneCheckAllNum){
		        Ext.getDom('zoneAll').checked = false;
		    }
		}
	}
	// 获取checkBox选中的报表
	function checkZoneReportIds(isTask) {
		var checkFlag = 0;
		// 选中的checkBox对应的top值和报表id
		if(Ext.getDom('zoneFlowCompare').checked) {
		    zoneTopNValues += '0,';
		    zoneReportIds += 'FluxCompareBPS,';
		    checkFlag = 1;
		}
		if(Ext.getDom('zoneAppFlowDistribute').checked) {
		    zoneTopNValues += '0,';
		    zoneReportIds += 'AppFlowDis,';
		    checkFlag = 1;
		}  
		if(Ext.getDom('zoneAttackTypeDistribute').checked) {
		    zoneTopNValues += '0,';
		    zoneReportIds += 'AttackDisCount,';
		    checkFlag = 1;
		} 	
		// 清洗设备才显示 "连接数"、"攻击事件TopＮ"、"攻击趋势"、丢弃详情
	    if(dropDisplayInZone) 
	    {
		    if(Ext.getDom('zoneAttackDisPacket').checked) 
		    {
		    	zoneTopNValues += '0,';
		    	zoneReportIds += 'AttackDisPacket,';
		    	checkFlag = 1;
			}
			if(Ext.getDom('zoneAttackTrend').checked) 
		    {
		    	zoneTopNValues += '0,';
		    	zoneReportIds += 'AttackTrend,';
		    	checkFlag = 1;
			}
		}	
		if(Ext.getDom('zoneAttackTrendCount').checked) {
		    zoneTopNValues += '0,';
		    zoneReportIds += 'AttackCount,';
		    checkFlag = 1;
		}
		if(!isTask)
		{
			var isSchedule = LegoTag.getRdiCheckedValue("isSchedule").value;
			if(isSchedule == 1)
			{
				zoneTopNValues += '0,';
			    zoneReportIds += 'AttackCountCompare,';
			}
		}
		else
		{
			zoneTopNValues += '0,';
			zoneReportIds += 'AttackCountCompare,';
		} 	  			      
		
		if(Ext.getDom('zoneAttackEventTopN').checked) 
		{
			    var topNValue = Ext.getDom('zoneAttackEventTopNNum').value;
			    if(topNValue < 1) {
			        LegoTag.MessageBox.alert(TIPS_WINDOW_TITLE,REPORT_TOPN_RANGE);
			        return false;
			    }
			    else if(topNValue > 50)
			    {
			        LegoTag.MessageBox.alert(TIPS_WINDOW_TITLE,REPORT_TOPN_RANGE);
			        return false;
			   	}       
			    zoneTopNValues += topNValue + ',';
			    zoneReportIds += 'AttackEventTopN,';
			    checkFlag = 1;
		}  
		if(Ext.getDom('zoneIpAttackCountTopN').checked) 
		{     
		    var topNValue = Ext.getDom('zoneIpAttackCountTopNNum').value;
		    if(topNValue < 1) {
		        LegoTag.MessageBox.alert(TIPS_WINDOW_TITLE,REPORT_TOPN_RANGE);
		        return false;
		    }
		    else if(topNValue > 50)
		    {
		        LegoTag.MessageBox.alert(TIPS_WINDOW_TITLE,REPORT_TOPN_RANGE);
		        return false;
		   	}       
		    zoneTopNValues += topNValue + ',';
		    zoneReportIds += 'IpAttackCountTopN,';
		    checkFlag = 1;
		}
		if(Ext.getDom('zoneDnsRequestTopN').checked) 
		{     
		    var topNValue = Ext.getDom('zoneDnsRequestTopNNum').value;
		    if(topNValue < 1) {
		        LegoTag.MessageBox.alert(TIPS_WINDOW_TITLE,REPORT_TOPN_RANGE32);
		        return false;
		    }
		    else if(topNValue > 32)
		    {
		        LegoTag.MessageBox.alert(TIPS_WINDOW_TITLE,REPORT_TOPN_RANGE32);
		        return false;
		   	}       
		    zoneTopNValues += topNValue + ',';
		    zoneReportIds += 'DnsRequestTopN,';
		    checkFlag = 1;
		}
		if(Ext.getDom('zoneSrcIpRequestTopN').checked) 
		{     
		    var topNValue = Ext.getDom('zoneSrcIpRequestTopNNum').value;
		    if(topNValue < 1) {
		        LegoTag.MessageBox.alert(TIPS_WINDOW_TITLE,REPORT_TOPN_RANGE32);
		        return false;
		    }
		    else if(topNValue > 32)
		    {
		        LegoTag.MessageBox.alert(TIPS_WINDOW_TITLE,REPORT_TOPN_RANGE32);
		        return false;
		   	}       
		    zoneTopNValues += topNValue + ',';
		    zoneReportIds += 'SrcIpRequestTopN,';
		    checkFlag = 1;
		}
		if(Ext.getDom('zoneHttpSrcTopN').checked) 
		{     
		    var topNValue = Ext.getDom('zoneHttpSrcTopNNum').value;
		    if(topNValue < 1) {
		        LegoTag.MessageBox.alert(TIPS_WINDOW_TITLE,REPORT_TOPN_RANGE32);
		        return false;
		    }
		    else if(topNValue > 32)
		    {
		        LegoTag.MessageBox.alert(TIPS_WINDOW_TITLE,REPORT_TOPN_RANGE32);
		        return false;
		   	}       
		    zoneTopNValues += topNValue + ',';
		    zoneReportIds += 'HttpSrcTopN,';
		    checkFlag = 1;
		}
		if(Ext.getDom('zoneHttpURlTopN').checked) 
		{     
		    var topNValue = Ext.getDom('zoneHttpURlTopNNum').value;
		    if(topNValue < 1) {
		        LegoTag.MessageBox.alert(TIPS_WINDOW_TITLE,REPORT_TOPN_RANGE32);
		        return false;
		    }
		    else if(topNValue > 32)
		    {
		        LegoTag.MessageBox.alert(TIPS_WINDOW_TITLE,REPORT_TOPN_RANGE32);
		        return false;
		   	}       
		    zoneTopNValues += topNValue + ',';
		    zoneReportIds += 'HttpURlTopN,';
		    checkFlag = 1;
		}
		/*
		if(Ext.getDom('zoneSipSrcTopN').checked) 
		{     
		    var topNValue = Ext.getDom('zoneSipSrcTopNNum').value;
		    if(topNValue < 1) {
		        LegoTag.MessageBox.alert(TIPS_WINDOW_TITLE,REPORT_TOPN_RANGE32);
		        return false;
		    }
		    else if(topNValue > 32)
		    {
		        LegoTag.MessageBox.alert(TIPS_WINDOW_TITLE,REPORT_TOPN_RANGE32);
		        return false;
		   	}       
		    zoneTopNValues += topNValue + ',';
		    zoneReportIds += 'SipSrcTopN,';
		    checkFlag = 1;
		}
		if(Ext.getDom('zoneSipCallerTopN').checked) 
		{     
		    var topNValue = Ext.getDom('zoneSipCallerTopNNum').value;
		    if(topNValue < 1) {
		        LegoTag.MessageBox.alert(TIPS_WINDOW_TITLE,REPORT_TOPN_RANGE32);
		        return false;
		    }
		    else if(topNValue > 32)
		    {
		        LegoTag.MessageBox.alert(TIPS_WINDOW_TITLE,REPORT_TOPN_RANGE32);
		        return false;
		   	}       
		    zoneTopNValues += topNValue + ',';
		    zoneReportIds += 'SipCallerTopN,';
		    checkFlag = 1;
		} 
		*/
		// 判断是否有报表选中
		if(checkFlag == 0) {
			if(!isTask)
			{
				LegoTag.MessageBox.alert(TIPS_WINDOW_TITLE,NO_REPORT_SELECTED);
			}
		    return false;
		}
		return true;
	}
	// 时间验证
	function validateTime() {	
		var startTime = document.getElementById("startTime").value;
		var endTime = document.getElementById("endTime").value;
		if(startTime == "" && endTime == "") {
			LegoTag.MessageBox.alert(TIPS_WINDOW_TITLE,NO_TIME_SELECTED);
			return false;
		}
		if(startTime >= endTime) {
			LegoTag.MessageBox.alert(TIPS_WINDOW_TITLE,STARTTIME_LESS_ENDTIME);
			return false;
		}
		return true;
	}
	// 重置
	function initZoneReport() {
	
		var useReportType = document.getElementById("useReportType").value;
		// 设备重置
		LegoTag.setCombValue("zoneDeviceName","");
		LegoTag.setCombDisplay("zoneDeviceName","");
		
		// 用户重置
		Ext.getDom('zoneName').value = "";
		// 时间重置，为初始进入页面时显示的时间
		Ext.getDom('startTime').value = initStartTime;
		Ext.getDom('endTime').value = initEndTime;
		
		// 报表格式重置,默认选中PDF
		LegoTag.setRdiChkOfId("formTypeInteger",0,true);
		
		//默认不显示周期对比图
		LegoTag.setRdiChkOfId("isSchedule",0,true);
		setScheduleType();
		
		// 报表类型重置   
		Ext.getDom('zoneFlowCompare').checked = false;
		Ext.getDom('zoneAppFlowDistribute').checked = false;
		Ext.getDom('zoneAttackTypeDistribute').checked = false;	
		Ext.getDom('zoneAttackDisPacket').checked = false;		        		       
		Ext.getDom('zoneAttackTrend').checked = false;
		Ext.getDom('zoneAttackTrendCount').checked = false;
		
		Ext.getDom('zoneAttackEventTopNNum').value = 10;
		Ext.getDom('zoneAttackEventTopNNum').disabled = true;
		Ext.getDom('zoneAttackEventTopN').checked = false;
		   	
		Ext.getDom('zoneIpAttackCountTopNNum').value = 10;
		Ext.getDom('zoneIpAttackCountTopNNum').disabled = true;  
		Ext.getDom('zoneIpAttackCountTopN').checked = false;
		
		Ext.getDom('zoneDnsRequestTopNNum').value = 10;
		Ext.getDom('zoneDnsRequestTopNNum').disabled = true;
		Ext.getDom('zoneDnsRequestTopN').checked = false;
		
		Ext.getDom('zoneSrcIpRequestTopNNum').value = 10;
		Ext.getDom('zoneSrcIpRequestTopNNum').disabled = true;
		Ext.getDom('zoneSrcIpRequestTopN').checked = false;
		
		Ext.getDom('zoneHttpSrcTopNNum').value = 10;
		Ext.getDom('zoneHttpSrcTopNNum').disabled = true;
		Ext.getDom('zoneHttpSrcTopN').checked = false;
		
		Ext.getDom('zoneHttpURlTopNNum').value = 10;
		Ext.getDom('zoneHttpURlTopNNum').disabled = true;
		Ext.getDom('zoneHttpURlTopN').checked = false;
		
		//Ext.getDom('zoneSipSrcTopNNum').value = 10;
		//Ext.getDom('zoneSipSrcTopNNum').disabled = true;
		//Ext.getDom('zoneSipSrcTopN').checked = false;
		
		//Ext.getDom('zoneSipCallerTopNNum').value = 10;
		//Ext.getDom('zoneSipCallerTopNNum').disabled = true;
		//Ext.getDom('zoneSipCallerTopN').checked = false;
		
		// 若"攻击分布(丢包数)"、"攻击趋势"\丢弃趋势显示
		if(dropDisplayInZone) {
			Ext.getDom('zoneAttackDisPacket').checked = false;
			Ext.getDom('zoneAttackTrend').checked = false;
		}
		
		// 设置报表默认个数
		zoneCheckAllNum = 8;
 		zoneCheckNum = 0;
 				
		// 重置时，设备的ID值可能改变
		setZoneDisplayByValue("true");

		// 全选重置
		Ext.getDom('zoneAll').checked = false;
	}
	
	function clickOtherEmail(obj) {
   		var otherEmailInfo = document.getElementById('otherEmailInfo');
		if(obj.checked) {
			otherEmailInfo.disabled = false;
			obj.value = 1;
		} else {
			otherEmailInfo.disabled = true;
			obj.value = 0;
		}
	}
	function clickZoneEmail(obj) {
		if(obj.checked) {
			obj.value = 1;
		} else {
			obj.value = 0;
		}
	}
	
	var TIP_INFO = '<s:text name="atic.public.window.title.info"/>';
	
	function checkEmail(emailAddress, errorMsg) {
		var emailRegex = /^([\w]+)(\.[\w]+)*@([\w\-]+\.){1,5}([A-Za-z]){2,4}$/;
		var email = new Array();   
	 	email = emailAddress.split(";"); 
		for (i=0; i < email.length; i++ )   
	    {   
	        if(!emailRegex.test(email[i])) {
	        	LegoTag.MessageBox.alert(TIP_INFO, errorMsg);
	        	return false;
	        }
	    }
	    return true;
	}